import 'status.dart';
import 'transaction_type.dart';

class TransactionHistoryRequest {
  final String? merchantCode;
  final String? fromTime;
  final String? toTime;
  final List<TransactionType>? txnTypes;
  final Status? status;
  final int? page;
  final int? pageSize;

  TransactionHistoryRequest({
    this.merchantCode,
    this.fromTime,
    this.toTime,
    this.txnTypes,
    this.status,
    this.page,
    this.pageSize,
  });
}
